import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";
import Emojis from "../../enums/emojis";

const name = `Fast Check ${Emojis.MAGNIFYING_GLASS}`;

export const handler: Handler = new Portal(
  name, 
  config.MASTODON_KEY_FASTCHECK,
  {
    url: config.FASTCHECK,
    articlesSelector: "div.entries article",
    titleSelector: "header h1",
    linkSelector: "header h1 a",
    scraperMethod: ScraperMethods.AXIOS,
    hashtags: ["FastCheck", "Artículo", "Noticia"],
    cacheExpiration: 60 * 60 * 24 * 30, // 30 días
  }
).getHandler();
