import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = "The Clinic";

export const handler: Handler = new Portal(
  name, 
  config.MASTODON_KEY_THECLINIC,
  {
    url: config.THECLINIC,
    articlesSelector: "div.listado-3 article",
    titleSelector: "div.titulares h2 a",
    linkSelector: "div.titulares h2 a",
    imageSelector: "div.imagen-post img",
    scraperMethod: ScraperMethods.PUPPETEER,
    hashtags: ["TheClinic", "Noticias"]
  }
).getHandler();
